petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESVISetComputeVariableBounds

Sets a function that is called to compute the variable bounds

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESVISetComputeVariableBounds(SNES snes, PetscErrorCode (*compute)(SNES,Vec,Vec))

Input parameter Many br

| snes | - the SNES context Many br
| compute | - computes the bounds Many br

Many br

### See Also

SNESVISetVariableBounds()

Level:advanced
Location:src/snes/impls/vi/vi.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex58.c.html